-- Zadatak 2
-- Prebacimo se na bazu AdventureWorksOBP
USE AdventureWorksOBP;

-----------------------------------------------------------------
-- 3a) Ispišite sve muške kupce iz tablice Kupac.
-- pripremni upiti
SELECT * FROM Kupac;
-- završni upit
SELECT * FROM Kupac WHERE Ime NOT LIKE '%a';
-----------------------------------------------------------------

-----------------------------------------------------------------
-- 3b) Ispišite sve kupce kojima prezime započinje s ‘Van’.
-- pripremni upiti
SELECT * FROM Kupac;
-- završni upit
SELECT * FROM Kupac WHERE Prezime LIKE 'Van%';
-----------------------------------------------------------------

-----------------------------------------------------------------
-- 3c) Dodajte kupcu Vargas Gary-ju sufiks ‘treći’.
-- pripremni upiti
SELECT * FROM Kupac WHERE Ime='Gary' AND Prezime='Vargas';
-- završni upit - IDKupac je 892
SELECT * FROM Kupac WHERE IDKupac = 892;
UPDATE Kupac
	SET Prezime = Prezime + ' treći' 
	WHERE IDKupac = 892;
SELECT * FROM Kupac WHERE IDKupac = 892;
-----------------------------------------------------------------

-----------------------------------------------------------------
-- 3d
-- a) Ispišite sve kupce koji se zovu Ana ili Tamara i iz Osijeka su.

-- pripremni upit
SELECT * 
FROM Grad
WHERE Naziv='Osijek'

-- završni upit
SELECT * 
FROM Kupac 
WHERE (ime='ana' or ime='tamara') AND GradID=2

-- b) Ispišite sve kupce čije prezime započinje slovom "D" i prezime sadržava string "re“.
SELECT * 
FROM Kupac
WHERE Prezime LIKE 'D%re%'

-- c) Ispišite samo prezimena polovice prvih osoba koje se zovu "Jack“.
SELECT TOP 50 PERCENT Prezime
FROM Kupac
WHERE Ime='Jack'

-----------------------------------------------------------------

-----------------------------------------------------------------
-- 3e) Svim kupcima koji nemaju unesen sufiks, promijenite (dodajte) ga kao string ‘nema’.
-- pripremni upiti
SELECT * FROM Kupac WHERE Prezime NOT LIKE '% %';
-- završni upit
SELECT * FROM Kupac WHERE Prezime NOT LIKE '% %';
UPDATE Kupac
	SET Prezime = Prezime + ' nema' 
	WHERE Prezime NOT LIKE '% %';
SELECT * FROM Kupac WHERE Prezime LIKE '% nema';
-----------------------------------------------------------------
--3f) Ispišite sve kupce kojima prezime sadrži apostrof (‘)
select *
from Kupac
where prezime like '%''%'
-----------------------------------------------------------------
--3g) Ispišite sve proizvode kojima podatak BrojProizvoda sadrži znak postotka (%). 
------Ukoliko nema takvih proizvoda, promijenite proizvodu ‘Adjustable Race’ broj proizvoda u ‘AR%5381’.

update proizvod
set BrojProizvoda='AR%5381'
where naziv='Adjustable Race'

select *
from Proizvod
where BrojProizvoda like '%|%%' escape '|'